Documents
11 endpoints
POST /api/v5/artifacts/documents/search
Search Document
Search documents — composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
search?: `string` | `null`
scenario_ids?: `string`[] | `null`
field_ids?: `string`[] | `null`
filter_department_ids?: `string`[] | `null`
scenario_search?: `string` | `null`
field_search?: `string` | `null`
department_search?: `string` | `null`
page_size?: `integer` | `null`
page_offset?: `integer` | `null`
}Response:
{
actor_name?: `string` | `null`
documents?: `ListDocumentApiDocument`[] | `null`
scenario_filter?: `ListFilterSection` | `null`
field_filter?: `ListFilterSection` | `null`
department_filter?: `ListFilterSection` | `null`
total_count?: `integer` | `null`
}POST /api/v5/artifacts/documents/get
Get Document
Get document information using the canonical shared document operation.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
document_id?: `string` | `null`
draft_id?: `string` | `null`
}Response:
{
actor_name?: `string` | `null`
document_exists?: `boolean` | `null`
can_edit?: `boolean` | `null`
disabled_reason?: `string` | `null`
draft_version?: `integer` | `null`
group_id?: `string` | `null`
basic_show_ai_generate?: `boolean` | `null`
content_show_ai_generate?: `boolean` | `null`
names?: `DocumentNameSection` | `null`
descriptions?: `DocumentDescriptionSection` | `null`
flags?: `DocumentFlagSection` | `null`
departments?: `DocumentDepartmentSection` | `null`
fields?: `DocumentFieldSection` | `null`
parameters?: `DocumentParameterSection` | `null`
uploads?: `DocumentUploadSection` | `null`
images?: `DocumentImageSection` | `null`
texts?: `DocumentTextSection` | `null`
}POST /api/v5/artifacts/documents/create
Create Document
Create documents using composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
documents: `CreateDocumentItem`[]
}Response:
{
results: `DocumentResultItem`[]
}POST /api/v5/artifacts/documents/update
Update Document
Update documents using composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
documents: `UpdateDocumentItem`[]
}Response:
{
results: `DocumentResultItem`[]
}POST /api/v5/artifacts/documents/duplicate
Duplicate Document
Duplicate a document — composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
document_id: `string`
}Response:
{
success: `boolean`
document_id: `string`
message: `string`
}POST /api/v5/artifacts/documents/delete
Delete Document
Bulk delete documents — composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
document_ids: `string`[]
}Response:
{
results: `DeleteDocumentResult`[]
}PATCH /api/v5/artifacts/documents/draft
Patch Document Draft
Patch document draft — composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
input_draft_id?: `string` | `null`
expected_version?: `integer`
name?: `string` | `null`
name_id?: `string` | `null`
description?: `string` | `null`
description_id?: `string` | `null`
files?: `DraftFileValue`[] | `null`
file_ids?: `string`[] | `null`
texts?: `DraftTextValue`[] | `null`
text_ids?: `string`[] | `null`
flag_ids?: `string`[] | `null`
department_ids?: `string`[] | `null`
image_ids?: `string`[] | `null`
parameter_field_ids?: `string`[] | `null`
parameter_ids?: `string`[] | `null`
}Response:
{
success: `boolean`
draft_id: `string`
new_version: `integer`
message: `string`
form_state?: `DocumentDraftFormState` | `null`
}POST /api/v5/artifacts/documents/drafts
Get Document Drafts
List document drafts owned by the current profile.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Response:
{
entries?: `GetDocumentDraftResponse`[] | `null`
}POST /api/v5/artifacts/documents/docs
Get Document Docs Endpoint
Get composed documentation for the document artifact.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
entity_id?: `string` | `null`
}Response:
{
name: `string`
type: `string`
description: `string`
artifact?: `DocsResponse` | `null`
entries: `DocsResponse`[]
resources: `DocsResponse`[]
permissions: `OperationInfo`[]
api_operations: `OperationInfo`[]
page_metadata?: `DocsApiResponse` | `null`
}POST /api/v5/artifacts/documents/refresh
Document Refresh
Refresh document materialized views and invalidate caches.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Response:
{
success: `boolean`
refreshed_views: `string`[]
invalidated_tags: `string`[]
}POST /api/v5/artifacts/documents/export
Export Documents
Export all documents as a clean, denormalized CSV.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
document_id?: `string` | `null`
}Response:
{
upload_id: `string`
file_name: `string`
row_count: `integer`
}